| ontoget

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Get ontology term(s)

## Description

ontoget reads ontology terms matching a query. Optionally, the parents or children of the term, related to the term by 'is_a' (class/subclass) relationships, may also be returned. The information may be written to an output file in various formats.

## Usage

Here is a sample session with ontoget

    % ontoget edam:1234
    Get ontology term(s)
    Obo output file [1234.obo]:

Go to the input files for this example
Go to the output files for this example

Example 2

    % ontoget edam:0850 -subclasses
    Get ontology term(s)
    Obo output file [0850.obo]:

Go to the input files for this example
Go to the output files for this example

## Command line arguments

    Get ontology term(s)
    Version: EMBOSS:6.5.6.0

       Standard (Mandatory) qualifiers:
      [-oboterms]          obo        Obo term filename and optional format, or
                                      reference (input query)
      [-outfile]           outobo     [*.ontoget] Output ontology term file name

       Additional (Optional) qualifiers:
       -subclasses         boolean    [N] Extend the query matches to include all
                                      terms which are specialisations
                                      (sub-classes) of the matched terms.
       -obsolete           boolean    [N] The default behaviour is to not use or
                                      return obsolete terms. This option if set
                                      will include all terms.

       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-oboterms" associated qualifiers
       -iformat1           string     Input obo format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -idbname1           string     User-provided database name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory
       -oformat2           string     Ontology term output format

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-oboterms] (Parameter 1) | obo | Obo term filename and optional format, or reference (input query) | OBO bio-ontology term(s) |
[-outfile] (Parameter 2) | outobo | Output ontology term file name | OBO ontology term(s) | <*>.ontoget
Additional (Optional) qualifiers
-subclasses | boolean | Extend the query matches to include all terms which are specialisations (sub-classes) of the matched terms. | Boolean value Yes/No | No
-obsolete | boolean | The default behaviour is to not use or return obsolete terms. This option if set will include all terms. | Boolean value Yes/No | No
Advanced (Unprompted) qualifiers
(none)
Associated qualifiers
"-oboterms" associated obo qualifiers
-iformat1 -iformat_oboterms | string | Input obo format | Any string |
-iquery1 -iquery_oboterms | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_oboterms | integer | Input start position offset | Any integer value | 0
-idbname1 -idbname_oboterms | string | User-provided database name | Any string |
"-outfile" associated outobo qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
-oformat2 -oformat_outfile | string | Ontology term output format | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

### Input files for usage example

### Database entry: edam:1234

    [Term]
    id: EDAM_data:1234
    name: Sequence set (nucleic acid)
    namespace: data
    def: Any collection of multiple nucleotide sequences and associated metadata that do not (typically) correspond to common sequence database records or database entries.
    subset: data
    is_a: EDAM_data:0850 ! Sequence set
    is_a: EDAM_data:2977 ! Nucleic acid sequence

### Input files for usage example 2

### Database entry: edam:0850

    [Term]
    id: EDAM_data:0850
    name: Sequence set
    namespace: data
    def: A collection of multiple molecular sequences and associated metadata that do not (typically) correspond to molecular sequence database records or entries and which (typically) are derived from some analytical method.
    comment: This concept may be used for arbitrary sequence sets and associated data arising from processing.
    subset: data
    synonym: "sequence_collection" EXACT [SO:0001260]
    is_a: EDAM_data:2955 ! Sequence report

## Output file format

The default behaviour is to report the entire OBO term statement from the ontology. Optionally, then only the the term id, name and namespace, or just the term id will be reported.

The output file by default is in OBO plain text format as used by the ontologies in the EMBOSS data directory and explained at http://www.geneontology.org/GO.format.obo-1_2.shtml.

Optionally, the output can be in HTML, OBO-XML or JSON format.

### Output files for usage example

### File: 1234.obo

    [Term]
    id: EDAM_data:1234
    name: Sequence set (nucleic acid)
    namespace: data
    def: Any collection of multiple nucleotide sequences and associated metadata that do not (typically) correspond to common sequence database records or database entries.
    subset: data
    is_a: EDAM_data:0850 ! Sequence set
    is_a: EDAM_data:2977 ! Nucleic acid sequence

### Output files for usage example 2

### File: 0850.obo

    [Term]
    id: EDAM_data:0850
    name: Sequence set
    namespace: data
    def: A collection of multiple molecular sequences and associated metadata that do not (typically) correspond to molecular sequence database records or entries and which (typically) are derived from some analytical method.
    comment: This concept may be used for arbitrary sequence sets and associated data arising from processing.
    subset: data
    synonym: "sequence_collection" EXACT [SO:0001260]
    is_a: EDAM_data:2955 ! Sequence report

    [Term]
    id: EDAM_data:1234
    name: Sequence set (nucleic acid)
    namespace: data
    def: Any collection of multiple nucleotide sequences and associated metadata that do not (typically) correspond to common sequence database records or database entries.
    subset: data
    is_a: EDAM_data:0850 ! Sequence set
    is_a: EDAM_data:2977 ! Nucleic acid sequence

    [Term]
    id: EDAM_data:1239
    name: Restriction digest
    namespace: data
    def: Restriction digest fragments from digesting a nucleotide sequence with restriction sites using a restriction endonuclease.
    subset: data
    xref: SO:0000412
    is_a: EDAM_data:1234 ! Sequence set (nucleic acid)

    [Term]
    id: EDAM_data:1240
    name: PCR primers
    namespace: data
    def: Oligonucleotide primer(s) for PCR and DNA amplification, for example a minimal primer set.
    subset: data
    is_a: EDAM_data:1234 ! Sequence set (nucleic acid)

    [Term]
    id: EDAM_data:1246
    name: Sequence cluster (nucleic acid)
    namespace: data
    def: A cluster of nucleotide sequences.
    comment: The sequences are typically related, for example a family of sequences.
    subset: data
    synonym: "Nucleotide sequence cluster" EXACT [http://edamontology.org]
    is_a: EDAM_data:1234 ! Sequence set (nucleic acid)
    is_a: EDAM_data:1235 ! Sequence cluster

    [Term]
    id: EDAM_data:0925
    name: Sequence assembly

      [Part of this file has been deleted for brevity]

    comment: The cluster might include sequences identifiers, short descriptions, alignment and summary information.
    subset: data
    is_a: EDAM_data:0850 ! Sequence set
    relationship: has_topic EDAM_topic:3052 ! Sequence clusters and classification
    relationship: has_topic EDAM_topic:0724 ! Protein families

    [Term]
    id: EDAM_data:1245
    name: Sequence cluster (protein)
    namespace: data
    def: A cluster of protein sequences.
    comment: The sequences are typically related, for example a family of sequences.
    subset: data
    synonym: "Protein sequence cluster" EXACT [http://edamontology.org]
    is_a: EDAM_data:1233 ! Sequence set (protein)
    is_a: EDAM_data:1235 ! Sequence cluster

    [Term]
    id: EDAM_data:2245
    name: Sequence set (bootstrapped)
    namespace: data
    def: A collection of sequences output from a bootstrapping (resampling) procedure.
    comment: Bootstrapping is often performed in phylogenetic analysis.
    subset: data
    is_a: EDAM_data:0850 ! Sequence set

    [Term]
    id: EDAM_data:1233
    name: Sequence set (protein)
    namespace: data
    def: Any collection of multiple protein sequences and associated metadata that do not (typically) correspond to common sequence database records or database entries.
    subset: data
    is_a: EDAM_data:0850 ! Sequence set

    [Term]
    id: EDAM_data:1238
    name: Proteolytic digest
    namespace: data
    def: A protein sequence cleaved into peptide fragments (by enzymatic or chemical cleavage) with fragment masses.
    subset: data
    is_a: EDAM_data:1233 ! Sequence set (protein)
    relationship: has_topic EDAM_topic:0767 ! Protein and peptide identification

    [Term]
    id: EDAM_data:1262
    name: Peptide molecular weight hits
    namespace: data
    def: A report on peptide fragments of certain molecular weight(s) in one or more protein sequences.
    subset: data
    is_a: EDAM_data:1233 ! Sequence set (protein)

## Data files

OBO-format ontologies must be installed in the EMBOSS data directory and indexed. This is done automatically for typical installations.

## Notes

The default behaviour is to report a single term with the specified id. Optionally, it will also return the parent(s) or children of that term, i.e. terms which are related to the specified term id via an is_a (class/subclass) relationship.

## References

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It exits with a status of 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
edamdef | Find EDAM ontology terms by definition
edamhasinput | Find EDAM ontology terms by has_input relation
edamhasoutput | Find EDAM ontology terms by has_output relation
edamisformat | Find EDAM ontology terms by is_format_of relation
edamisid | Find EDAM ontology terms by is_identifier_of relation
edamname | Find EDAM ontology terms by name
godef | Find GO ontology terms by definition
goname | Find GO ontology terms by name
ontocount | Count ontology term(s)
ontogetcommon | Get common ancestor for terms
ontogetdown | Get ontology term(s) by parent id
ontogetobsolete | Get ontology ontology terms
ontogetroot | Get ontology root terms by child identifier
ontogetsibs | Get ontology term(s) by id with common parent
ontogetup | Get ontology term(s) by id of child
ontoisobsolete | Report whether an ontology term id is obsolete
ontotext | Get ontology term(s) original full text

## Author(s)

Jon Ison
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

This application was modified by Jon Ison
European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None